Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::WlanSettings Struct Reference

WLAN interface settings. More...

## Public Attributes
boolean | enableHT
| Enable high throughput features (802::11n)
string | ssid
| SSID of the wireless network.
string | bssid
| BSSID (empty for automatic AP selection)
int | mtu
| Maximum Transfer Unit (MTU)
WlanSecProtocol | secProtocol
| Security protocol (WPA2)
WlanAuthType | authType
| Authentication type.
string | psk
| Pre-shared key (always empty on retrieval!)
boolean | clearPsk
| Set to `true` when PSK should be cleared.
EapAuthSettings | eap
| EAP Settings for 802::1x authentication.

## Detailed Description

WLAN interface settings.

The documentation for this struct was generated from the following file:

- Net.idl